Page MenuHomePhabricator

Write code for handing write and read of rev_comment_id
Open, Needs TriagePublic

Description

Basically gerrit:684142 but for comment table (and rev_comment_id field). Including the maint script for it. The configuration and so on.

Event Timeline

Change 872985 had a related patch set uploaded (by Zabe; author: Zabe):

[mediawiki/core@master] Prepare migration from revision_comment_temp to rev_comment_id

https://gerrit.wikimedia.org/r/872985

Change 873887 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Pin $wgCommentTempTableSchemaMigrationStage to default value

https://gerrit.wikimedia.org/r/873887

Change 873888 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] beta: Start writing to rev_comment_id

https://gerrit.wikimedia.org/r/873888

Change 873906 had a related patch set uploaded (by Zabe; author: Zabe):

[mediawiki/core@master] Migrate revision comments from revision_comment_id to rev_comment_id

https://gerrit.wikimedia.org/r/873906

Change 873887 merged by jenkins-bot:

[operations/mediawiki-config@master] Pin $wgCommentTempTableSchemaMigrationStage to default value

https://gerrit.wikimedia.org/r/873887

Mentioned in SAL (#wikimedia-operations) [2023-01-03T21:06:40Z] <taavi@deploy1002> Started scap: Backport for [[gerrit:873880|Stop setting $wgActorTableSchemaMigrationStage (T215466)]], [[gerrit:873887|Pin $wgCommentTempTableSchemaMigrationStage to default value (T299954)]], [[gerrit:874418|Pin cu_changes comment migration to old schema (T233004)]]

Mentioned in SAL (#wikimedia-operations) [2023-01-03T21:08:30Z] <taavi@deploy1002> taavi and zabe: Backport for [[gerrit:873880|Stop setting $wgActorTableSchemaMigrationStage (T215466)]], [[gerrit:873887|Pin $wgCommentTempTableSchemaMigrationStage to default value (T299954)]], [[gerrit:874418|Pin cu_changes comment migration to old schema (T233004)]] synced to the testservers: mwdebug1001.eqiad.wmnet, mwdebug2002.codfw.wmnet, mwdebug1002.eqiad.wmnet, mwdebug2001.codfw.wmnet

Mentioned in SAL (#wikimedia-operations) [2023-01-03T21:15:29Z] <taavi@deploy1002> Finished scap: Backport for [[gerrit:873880|Stop setting $wgActorTableSchemaMigrationStage (T215466)]], [[gerrit:873887|Pin $wgCommentTempTableSchemaMigrationStage to default value (T299954)]], [[gerrit:874418|Pin cu_changes comment migration to old schema (T233004)]] (duration: 08m 49s)

Change 872985 merged by jenkins-bot:

[mediawiki/core@master] Prepare migration from revision_comment_temp to rev_comment_id

https://gerrit.wikimedia.org/r/872985

Change 873888 merged by jenkins-bot:

[operations/mediawiki-config@master] beta: Start writing to rev_comment_id

https://gerrit.wikimedia.org/r/873888

Change 878207 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Start writing to rev_comment_id on test wikis

https://gerrit.wikimedia.org/r/878207

Change 878207 merged by jenkins-bot:

[operations/mediawiki-config@master] Start writing to rev_comment_id on test wikis

https://gerrit.wikimedia.org/r/878207

Mentioned in SAL (#wikimedia-operations) [2023-01-10T23:21:16Z] <zabe@deploy1002> Started scap: Backport for [[gerrit:878207|Start writing to rev_comment_id on test wikis (T299954)]]

Mentioned in SAL (#wikimedia-operations) [2023-01-10T23:22:54Z] <zabe@deploy1002> zabe and zabe: Backport for [[gerrit:878207|Start writing to rev_comment_id on test wikis (T299954)]] synced to the testservers: mwdebug1001.eqiad.wmnet, mwdebug1002.eqiad.wmnet, mwdebug2002.codfw.wmnet, mwdebug2001.codfw.wmnet

Mentioned in SAL (#wikimedia-operations) [2023-01-10T23:30:56Z] <zabe@deploy1002> Finished scap: Backport for [[gerrit:878207|Start writing to rev_comment_id on test wikis (T299954)]] (duration: 09m 39s)

Change 879148 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Start writing to rev_comment_id on group0 wikis

https://gerrit.wikimedia.org/r/879148

Change 879148 merged by jenkins-bot:

[operations/mediawiki-config@master] Start writing to rev_comment_id on group0 wikis

https://gerrit.wikimedia.org/r/879148

Mentioned in SAL (#wikimedia-operations) [2023-01-11T22:42:12Z] <zabe@deploy1002> Started scap: Backport for [[gerrit:879055|Start reading from cuc_actor on group0 and group1 wikis (T233004)]], [[gerrit:879148|Start writing to rev_comment_id on group0 wikis (T299954)]], [[gerrit:879057|Stop writing to cul_user and cul_user_text on testwiki (T233004)]]

Mentioned in SAL (#wikimedia-operations) [2023-01-11T22:43:58Z] <zabe@deploy1002> zabe and zabe: Backport for [[gerrit:879055|Start reading from cuc_actor on group0 and group1 wikis (T233004)]], [[gerrit:879148|Start writing to rev_comment_id on group0 wikis (T299954)]], [[gerrit:879057|Stop writing to cul_user and cul_user_text on testwiki (T233004)]] synced to the testservers: mwdebug1002.eqiad.wmnet, mwdebug2002.codfw.wmnet, mwdebug1001.eqiad.wmnet, mwdebug2001.codfw.wmnet

Mentioned in SAL (#wikimedia-operations) [2023-01-11T22:51:40Z] <zabe@deploy1002> Finished scap: Backport for [[gerrit:879055|Start reading from cuc_actor on group0 and group1 wikis (T233004)]], [[gerrit:879148|Start writing to rev_comment_id on group0 wikis (T299954)]], [[gerrit:879057|Stop writing to cul_user and cul_user_text on testwiki (T233004)]] (duration: 09m 28s)

Change 879591 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Start writing to rev_comment_id on group1 wikis

https://gerrit.wikimedia.org/r/879591

Change 879591 merged by jenkins-bot:

[operations/mediawiki-config@master] Start writing to rev_comment_id on group1 wikis

https://gerrit.wikimedia.org/r/879591

Mentioned in SAL (#wikimedia-operations) [2023-01-12T16:21:46Z] <zabe@deploy1002> Started scap: Backport for [[gerrit:879590|Stop writing to cul_user and cul_user_text on a few wikis (T233004)]], [[gerrit:879591|Start writing to rev_comment_id on group1 wikis (T299954)]]

Mentioned in SAL (#wikimedia-operations) [2023-01-12T16:23:30Z] <zabe@deploy1002> zabe and zabe: Backport for [[gerrit:879590|Stop writing to cul_user and cul_user_text on a few wikis (T233004)]], [[gerrit:879591|Start writing to rev_comment_id on group1 wikis (T299954)]] synced to the testservers: mwdebug1002.eqiad.wmnet, mwdebug2002.codfw.wmnet, mwdebug2001.codfw.wmnet, mwdebug1001.eqiad.wmnet

Mentioned in SAL (#wikimedia-operations) [2023-01-12T16:31:35Z] <zabe@deploy1002> Finished scap: Backport for [[gerrit:879590|Stop writing to cul_user and cul_user_text on a few wikis (T233004)]], [[gerrit:879591|Start writing to rev_comment_id on group1 wikis (T299954)]] (duration: 09m 49s)

Change 880902 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Start writing to rev_comment_id everywhere

https://gerrit.wikimedia.org/r/880902

Change 880902 merged by jenkins-bot:

[operations/mediawiki-config@master] Start writing to rev_comment_id everywhere

https://gerrit.wikimedia.org/r/880902

Mentioned in SAL (#wikimedia-operations) [2023-01-17T22:55:54Z] <zabe@deploy1002> Started scap: Backport for [[gerrit:880903|Stop writing to cul_user and cul_user_text everywhere (T233004)]], [[gerrit:880902|Start writing to rev_comment_id everywhere (T299954)]]

Mentioned in SAL (#wikimedia-operations) [2023-01-17T22:57:39Z] <zabe@deploy1002> zabe and zabe: Backport for [[gerrit:880903|Stop writing to cul_user and cul_user_text everywhere (T233004)]], [[gerrit:880902|Start writing to rev_comment_id everywhere (T299954)]] synced to the testservers: mwdebug2002.codfw.wmnet, mwdebug2001.codfw.wmnet, mwdebug1002.eqiad.wmnet, mwdebug1001.eqiad.wmnet

Mentioned in SAL (#wikimedia-operations) [2023-01-17T23:06:24Z] <zabe@deploy1002> Finished scap: Backport for [[gerrit:880903|Stop writing to cul_user and cul_user_text everywhere (T233004)]], [[gerrit:880902|Start writing to rev_comment_id everywhere (T299954)]] (duration: 10m 29s)

Change 873906 merged by jenkins-bot:

[mediawiki/core@master] Add migrateRevisionCommentTemp maintenance script

https://gerrit.wikimedia.org/r/873906

Mentioned in SAL (#wikimedia-releng) [2023-01-19T19:10:48Z] <zabe> zabe@deployment-mwmaint02:~$ foreachwiki migrateRevisionCommentTemp.php # T299954

Mentioned in SAL (#wikimedia-releng) [2023-01-19T19:10:48Z] <zabe> zabe@deployment-mwmaint02:~$ foreachwiki migrateRevisionCommentTemp.php # T299954

Since it might not be obvious for everyone: that is beta-cluster.

Change 881729 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] beta: start reading from rev_comment_id

https://gerrit.wikimedia.org/r/881729

Change 881729 merged by jenkins-bot:

[operations/mediawiki-config@master] beta: start reading from rev_comment_id

https://gerrit.wikimedia.org/r/881729

Change 881834 had a related patch set uploaded (by Zabe; author: Zabe):

[mediawiki/core@master] migrateRevisionCommentTemp: Improve select query

https://gerrit.wikimedia.org/r/881834

Change 881834 merged by jenkins-bot:

[mediawiki/core@master] migrateRevisionCommentTemp: Improve select query

https://gerrit.wikimedia.org/r/881834

Change 883281 had a related patch set uploaded (by Zabe; author: Zabe):

[operations/mediawiki-config@master] Start reading from rev_comment_id on testcommonswiki

https://gerrit.wikimedia.org/r/883281

Change 883281 merged by jenkins-bot:

[operations/mediawiki-config@master] Start reading from rev_comment_id on testcommonswiki

https://gerrit.wikimedia.org/r/883281

Mentioned in SAL (#wikimedia-operations) [2023-01-24T23:02:27Z] <zabe@deploy1002> Started scap: Backport for [[gerrit:883281|Start reading from rev_comment_id on testcommonswiki (T299954)]]

Mentioned in SAL (#wikimedia-operations) [2023-01-24T23:04:12Z] <zabe@deploy1002> zabe: Backport for [[gerrit:883281|Start reading from rev_comment_id on testcommonswiki (T299954)]] synced to the testservers: mwdebug2001.codfw.wmnet, mwdebug1002.eqiad.wmnet, mwdebug1001.eqiad.wmnet, mwdebug2002.codfw.wmnet

Mentioned in SAL (#wikimedia-operations) [2023-01-24T23:10:29Z] <zabe@deploy1002> Finished scap: Backport for [[gerrit:883281|Start reading from rev_comment_id on testcommonswiki (T299954)]] (duration: 08m 02s)

Change 886429 had a related patch set uploaded (by Zabe; author: Zabe):

[mediawiki/core@master] respect migration stage when deleting from revision_comment_temp

https://gerrit.wikimedia.org/r/886429